Page MenuHomePhabricator

Translate extension workshop at WMDE office
Closed, ResolvedPublic

Description

Basics of translating things and marking for translation on multilingual wikis, to make sure their information and documentation is translatable.

To be given on November 16.

Event Timeline

Johan created this task.Nov 12 2016, 5:26 AM
Restricted Application added a project: User-Johan. · View Herald TranscriptNov 12 2016, 5:26 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Qgil added a subscriber: Qgil.

Thank you!

Do you plan to use any of the tutorials available at https://www.mediawiki.org/wiki/Help:Extension:Translate#Further_reading_and_tutorials? Although there is a lot of detailed documentation, I wonder if there is a basic HowTo covering what most people need in most cases (which is actually relatively simple).

Johan added a comment.EditedNov 14 2016, 11:41 AM

I think this one works fine – this will be from the perspective of marking things for translation, and in that case there are a few more things one needs to be aware of.

Johan added a comment.Nov 14 2016, 1:18 PM

@Nikerabbit Cool, I'll take a look. Of course, I won't be talking on your level, merely introducing the basic concepts and warn about some common mistakes.

Johan closed this task as Resolved.Nov 16 2016, 4:27 PM

More people now know how to use the Translate extension to mark their documentation for translation, as well as the most common mistakes when adding translate tags and marking things for translation.

@Nikerabbit – there were plenty of questions about why things work the way they work. I mercilessly told them I could merely show them how things work and they'd have to contact you if they wanted to talk code and technical decisions, but mentioned that you're aware of the problems and are not claiming the Translate extension is in a perfect state where it should remain forever.

Qgil awarded a token.Nov 16 2016, 6:48 PM

I'm happy to explain and some might already be in docs. I guess you did not keep list of the questions?

@Nikerabbit No, I'm afraid not.

Johan moved this task from Backlog to Archive on the User-Johan board.Jul 26 2017, 3:26 AM